BackendHTTP APISyncs

Trigger sync(s)

Requires an API key with the environment:syncs:execute scope. Learn more about API key scopes.

Triggering one-off syncs

This is especially useful if you e.g. changed the metadata for the connection and now want to re-import data.

Use reset to clear the checkpoint and re-fetch all data, or reset with emptyCache to start completely fresh. See the checkpoints guide for details.

POST
/sync/trigger

Triggers an additional, one-off execution of specified sync(s) (for a given connection or all applicable connections if no connection is specified).

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Request Body

application/json
  1. body
provider_config_key*string

The ID of the integration that you established within Tenklo.

connection_id?string

The ID of the connection. If omitted, the syncs will be triggered for all relevant connections.

syncs*array<>|array<>
opts?

Options for triggering the sync.

Response Body

Successfully triggered the sync

application/json
  1. response
success*boolean
Example Request
curl -X POST 'https://api.tenklo.dev/sync/trigger' \  -H 'Content-Type: application/json' \  -d '{  "provider_config_key": "string",  "syncs": [    "string"  ]}'
Example Response
{  "success": true}

On this page